src/lagr/cs_lagr_clogging.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cs_lagr_clogging.c File Reference
`#include "cs_defs.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <float.h>`
`#include <assert.h>`
`#include "bft_printf.h"`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "fvm_periodicity.h"`
`#include "cs_base.h"`
`#include "cs_interface.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_parall.h"`
`#include "cs_prototypes.h"`
`#include "cs_search.h"`
`#include "cs_lagr_utils.h"`
`#include "cs_halo.h"`
`#include "cs_lagr_clogging.h"`
Include dependency graph for cs_lagr_clogging.c:

## Macros
#define | PG_CST 8.314 /* Ideal gas constant */
#define | PI 3.141592653589793

## Functions
void | cloginit (const cs_real_t *faraday_cst, const cs_real_t *free_space_permit, const cs_real_t *water_permit, const cs_real_t *ionic_strength, const cs_real_t *jamming_limit, const cs_real_t *min_porosity, const cs_real_t temperature[], const cs_real_t *phi1, const cs_real_t *phi2, const cs_real_t *cstham, const cs_real_t *dcutof, const cs_real_t *lambwl, const cs_real_t *kboltz)
void | clogend ()
cs_int_t | clogging_barrier (cs_lagr_particle_t particle, cs_int_t face_id, cs_real_t face_area, cs_real_t *energy_barrier, cs_real_t *surface_coverage, cs_real_t *limit, cs_real_t *mporos)
cs_real_t | vdwsa (cs_real_t distcc, cs_real_t rpart1, cs_real_t rpart2)
cs_real_t | edlsa (cs_int_t ifac, cs_real_t distcc, cs_real_t rpart1, cs_real_t rpart2)

## Macro Definition Documentation

#define PG_CST 8.314 /* Ideal gas constant */

#define PI 3.141592653589793

## Function Documentation

void clogend | ( | void |  | ) |

cs_int_t clogging_barrier | ( | cs_lagr_particle_t | particle,
|  | cs_int_t | face_id,
|  | cs_real_t | face_area,
|  | cs_real_t * | energy_barrier,
|  | cs_real_t * | surface_coverage,
|  | cs_real_t * | limit,
|  | cs_real_t * | mporos
| ) |  |

void cloginit | ( | const cs_real_t * | faraday_cst,
|  | const cs_real_t * | free_space_permit,
|  | const cs_real_t * | water_permit,
|  | const cs_real_t * | ionic_strength,
|  | const cs_real_t * | jamming_limit,
|  | const cs_real_t * | min_porosity,
|  | const cs_real_t | temperature[],
|  | const cs_real_t * | phi1,
|  | const cs_real_t * | phi2,
|  | const cs_real_t * | cstham,
|  | const cs_real_t * | dcutof,
|  | const cs_real_t * | lambwl,
|  | const cs_real_t * | kboltz
| ) |  |

cs_real_t edlsa | ( | cs_int_t | ifac,
|  | cs_real_t | distcc,
|  | cs_real_t | rpart1,
|  | cs_real_t | rpart2
| ) |  |

cs_real_t vdwsa | ( | cs_real_t | distcc,
|  | cs_real_t | rpart1,
|  | cs_real_t | rpart2
| ) |  |